GNU bug report logs - #51281
28.0.60; repeat-mode issues

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Juri Linkov <juri@HIDDEN>; Keywords: patch; dated Tue, 19 Oct 2021 07:14:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 51281 <at> debbugs.gnu.org:


Received: (at 51281) by debbugs.gnu.org; 1 Dec 2021 18:01:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 01 13:01:25 2021
Received: from localhost ([127.0.0.1]:45557 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1msTv3-0003iH-0e
	for submit <at> debbugs.gnu.org; Wed, 01 Dec 2021 13:01:25 -0500
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:40723)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1msTv0-0003bQ-Iz
 for 51281 <at> debbugs.gnu.org; Wed, 01 Dec 2021 13:01:23 -0500
Received: (Authenticated sender: juri@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id 9BC6A4000D;
 Wed,  1 Dec 2021 18:01:15 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#51281: 28.0.60; repeat-mode issues
Organization: LINKOV.NET
References: <87tuhdijk3.fsf@HIDDEN> <87y26ny56p.fsf@HIDDEN>
 <87pmrfo67f.fsf@HIDDEN>
Date: Wed, 01 Dec 2021 19:58:49 +0200
In-Reply-To: <87pmrfo67f.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 05 Nov 2021 00:24:04 +0100")
Message-ID: <86mtlk8aw6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51281
Cc: 51281 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

>> Actually, this too confusing feature that allows changing prefix args
>> during the repeating sequence increases code complexity enormously.
>> For posterity I'll leave here the patch that completely supports it.
>> But this feature will be removed (unless someone will ask to leave it):
>>
>>   C-x } }  C-1 C-2 } }  C-3 C-4 } }
>>
>> Only this will remain:
>>
>>   C-x } }  C-1 C-2 C-x } }  C-3 C-4 C-x } }
>
> Well, it may be slightly on the confusing side, but it does feel
> natural, I think?  So I think fixing it is better than removing it.

I hesitate to make such massive change in repeat.el on the release branch.

I have more patches for repeat.el that I'm unsure about to push.
One of them is a patch that allows kbd syntax for 'repeat-exit-key':


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=repeat-exit-key-kbd.patch

diff --git a/lisp/repeat.el b/lisp/repeat.el
index 7bbb398873..8199bd3287 100644
--- a/lisp/repeat.el
+++ b/lisp/repeat.el
@@ -338,6 +338,7 @@ repeat-exit-key
   "Key that stops the modal repeating of keys in sequence.
 For example, you can set it to <return> like `isearch-exit'."
   :type '(choice (const :tag "No special key to exit repeating sequence" nil)
+                 (string :tag "Kbd string that exits repeating sequence")
                  (key-sequence :tag "Key that exits repeating sequence"))
   :group 'convenience
   :version "28.1")
@@ -437,7 +455,10 @@ repeat-post-hook
 
               ;; Adding an exit key
               (when repeat-exit-key
-                (define-key map repeat-exit-key 'ignore))
+                (define-key map (if (stringp repeat-exit-key)
+                                    (kbd repeat-exit-key)
+                                  repeat-exit-key)
+                            'ignore))
 
               (when (and repeat-keep-prefix (not prefix-arg))
                 (setq prefix-arg current-prefix-arg))
@@ -476,7 +497,9 @@ repeat-echo-message-string
                                keys ", ")
                     (if repeat-exit-key
                         (format ", or exit with %s"
-                                (key-description repeat-exit-key))
+                                (if (stringp repeat-exit-key)
+                                    repeat-exit-key
+                                  (key-description repeat-exit-key)))
                       ""))))
 
 (defun repeat-echo-message (keymap)

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51281; Package emacs. Full text available.

Message received at 51281 <at> debbugs.gnu.org:


Received: (at 51281) by debbugs.gnu.org; 4 Nov 2021 23:24:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 04 19:24:16 2021
Received: from localhost ([127.0.0.1]:43891 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mim5g-0006ff-HX
	for submit <at> debbugs.gnu.org; Thu, 04 Nov 2021 19:24:16 -0400
Received: from quimby.gnus.org ([95.216.78.240]:60772)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mim5e-0006fT-BA
 for 51281 <at> debbugs.gnu.org; Thu, 04 Nov 2021 19:24:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=I/OccL68Xf2RtJpk7zACzkh7rvuNhVnwhLD4SQvmsDY=; b=QDk+xPsqVbVjLNehz2u51iTfn4
 dUlD6aPemj9BWZp0KdcvS/h3IXEPdPjWT960A4o3OXHoICg8n2Y3u3YuBeN0/lHV8OaQTg7d550F4
 wBWEQVTHtGY3eBsIwVEvzdPi2yAOkPtIu2zZvmzS/yF+k8twpAmUalcXvAIZbeJNgtSI=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mim5U-0007Sb-NV; Fri, 05 Nov 2021 00:24:07 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#51281: 28.0.60; repeat-mode issues
References: <87tuhdijk3.fsf@HIDDEN> <87y26ny56p.fsf@HIDDEN>
X-Now-Playing: RAIC's _The Wire Tapper 57_: "The Intergalactic Church Of Kirk"
Date: Fri, 05 Nov 2021 00:24:04 +0100
In-Reply-To: <87y26ny56p.fsf@HIDDEN> (Juri Linkov's message of "Wed, 
 20 Oct 2021 20:30:38 +0300")
Message-ID: <87pmrfo67f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: >> Currently there is
 a bug where the prefix arg changed for the repeatable >> commands, is applied
 to the next non-repeatable command. For example: >> >> C-- C-x o o C-n >>
 or >> C-x o C-- o C-n > > [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51281
Cc: 51281 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

>> Currently there is a bug where the prefix arg changed for the repeatable
>> commands, is applied to the next non-repeatable command.  For example:
>>
>>   C-- C-x o o C-n
>> or
>>   C-x o C-- o C-n
>
> Actually, this too confusing feature that allows changing prefix args
> during the repeating sequence increases code complexity enormously.
> For posterity I'll leave here the patch that completely supports it.
> But this feature will be removed (unless someone will ask to leave it):
>
>   C-x } }  C-1 C-2 } }  C-3 C-4 } }
>
> Only this will remain:
>
>   C-x } }  C-1 C-2 C-x } }  C-3 C-4 C-x } }

Well, it may be slightly on the confusing side, but it does feel
natural, I think?  So I think fixing it is better than removing it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51281; Package emacs. Full text available.

Message received at 51281 <at> debbugs.gnu.org:


Received: (at 51281) by debbugs.gnu.org; 21 Oct 2021 17:09:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 13:09:29 2021
Received: from localhost ([127.0.0.1]:58451 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdbZJ-0006qn-41
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 13:09:29 -0400
Received: from mx0b-00069f02.pphosted.com ([205.220.177.32]:35078)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1mdbZH-0006qe-Gg
 for 51281 <at> debbugs.gnu.org; Thu, 21 Oct 2021 13:09:28 -0400
Received: from pps.filterd (m0246632.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.16.1.2/8.16.1.2) with SMTP id 19LGhnH5016210; 
 Thu, 21 Oct 2021 17:09:26 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=ZD/Q2VST8EOuHU8nc2+h3xWs3XrsapJokWEw15NwPiY=;
 b=dQBgfemmFYm0NanENYywK+aHxY5yvURyYYDQJQFcz2DClZ8MAWVXncakEyci7O7UAU3K
 GFT4ux6u5F16CbWDTcIRSkfSVktt38zdPfsNa+tz/+6ekh7GZ1kOnBc4n1D3wF9bxi7J
 8gxlh+RMzehRWr8dWl0NWzUj2r/tM5hPs5U8MSDDw0e1djq2eVuzK6LSKKiZlmCdf0hJ
 p/0J2lzNGJctZk6QlRLbCUHu8Dk+/siVMZEC7eSSvkGq8cVQVp0OSntRA3U/YbJiuUXh
 AACnimSxq19RpsYU24Tg8ax+EvrX3R6aRs20hRULXxyNO+sh4jJUUolnoQ/0iNjrbjRo 8g== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by mx0b-00069f02.pphosted.com with ESMTP id 3btqp2pec0-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 21 Oct 2021 17:09:26 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.1.2/8.16.1.2) with SMTP id 19LH6vUC004281;
 Thu, 21 Oct 2021 17:09:25 GMT
Received: from nam04-bn8-obe.outbound.protection.outlook.com
 (mail-bn8nam08lp2045.outbound.protection.outlook.com [104.47.74.45])
 by aserp3030.oracle.com with ESMTP id 3bqmsjgnwy-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 21 Oct 2021 17:09:25 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=Ms1BntmOT5xlRO3E+fDI/EQMtixTSo1PXQgip/3MzONnGW1MvvdZ6Bngi5d+pF0wStrd1JeKpVS/z1MBp88oQd5SQDlBVg8fnDJZNQU7zuAnj0+jSC8C3xA4xRPsEk+aW4MHRkt1gSRRZGXAPIl4oHiins0R+wyDiN+PHFkzbkXSLdAdk0TGQBRaS35quhIszFycB7sVB4Wfpo9O2ks5HkWLdLi2d/lV+XDsTuOQn3QJkkpmRhrGJPk2kTm75sCIYkf0N6+QZWI0X573EaPl8S0hxhvHrs1q+Y86T3NuuxfzTtnaG3RaYBkb1EfFQOqG5HGZtEGIchXHtnqdZ9hWPg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=ZD/Q2VST8EOuHU8nc2+h3xWs3XrsapJokWEw15NwPiY=;
 b=am/YvXosGGep2PhTJrjWmAwiAW9yZdqS7laiYfB8SP0RGOeShS/CEqeLElIJeLpAg7htpLT/8t9u3pVJOAn5xYFvOfmCycnOZEXw0sj+aN/RJNgVZNwK4Y7yaO1tC+w18tz0mYlLXF9OrCOwdB4NLgiX9rPVIHeldD1Ra/3akhhgB0zjNOe+3zzJ7zKRD2SwkcTzIkUTUw9Tjrp+kLZh06gNiYrdjq6en07bOSwT+Eu9hr4HhZTj09RRTmZx8gKofIi47EhKqgqOn8H30nUCBu5mwRpSCyB6Y7mrzfEXwkT2zrt1M5c352NHmGQGMNd+S1EMCAE/g7MAuX/3pT9bjQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=ZD/Q2VST8EOuHU8nc2+h3xWs3XrsapJokWEw15NwPiY=;
 b=zDbfr7oAUhIFZZ+H0dL5bTgbBcnehGcVjnHRAuJEiTJ7KTOiTq6JjciX76+mbWP3c/UQ+094A8jgQEAcDubLjm/BLKTdIvzIBnS8GM7G5KIJ7hGo7MAPVaGG1UmT8AiV6NM8Van1R9cSM1bpX3Ox3PSKJqC17D6g/mRQ4zH6VtA=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by SJ0PR10MB5646.namprd10.prod.outlook.com (2603:10b6:a03:3d0::7)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4608.18; Thu, 21 Oct
 2021 17:09:24 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::c0bc:7c3a:292f:8a82]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::c0bc:7c3a:292f:8a82%9]) with mapi id 15.20.4608.018; Thu, 21 Oct 2021
 17:09:24 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: RE: [External] : bug#51281: 28.0.60; repeat-mode issues
Thread-Topic: [External] : bug#51281: 28.0.60; repeat-mode issues
Thread-Index: AQHXxpwdlTOcj48Ss0qUSdik8GkTcqvdr4VA
Date: Thu, 21 Oct 2021 17:09:24 +0000
Message-ID: <SJ0PR10MB5488D463FD9A7DA4044D004EF3BF9@HIDDEN>
References: <87tuhdijk3.fsf@HIDDEN> <87y26ny56p.fsf@HIDDEN>
 <SJ0PR10MB54883DA1B5649D168580A4D6F3BE9@HIDDEN>
 <87ee8ez9m6.fsf@HIDDEN>
In-Reply-To: <87ee8ez9m6.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: linkov.net; dkim=none (message not signed)
 header.d=none;linkov.net; dmarc=none action=none header.from=oracle.com;
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 1adc8b24-9e53-410f-53a1-08d994b58808
x-ms-traffictypediagnostic: SJ0PR10MB5646:
x-microsoft-antispam-prvs: <SJ0PR10MB56460635BFFEEFEF0EEFE9EFF3BF9@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:7691;
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: tpMBjxjKHDxbK+uRxrXUDb3ioNOQX3f/Q0eeXmMz2tLx+u6B1ZVCVqqLqfBzFUPAdY0ihAGT+co7X7vtlgnToxF9kwsmfhKbA2f7Ge0CHv8w6msDybZ77k/mlpNQJUtuo8iF33y7hiV6F/ee5uP3eBOj3ZxOSSBtBb8VJzRA6hx4gL3LdxGp0yyypiaf8jAaC15BoGyIy0KfsFA25V0SKViBK9UiwqjhvnZraxH73Nuy1oCCaI7+lE3aIkAmihGKy7pBwEGqYNIrtPbVtslqAkq3gwya2qIJkaPo2VMDgYV9D3yJWcm3FJXYdMYJxSbRiyKlEWyR0En5EFOZN60LuxeFBewY9DR17eGftydRtEQJHd7Nq2e4quYz8usJ4pYw/LVomT09tipxLXdL5PJxqJalbdfn9OPUHdhpsbee9YyVA7EJkskdqjIF6eSwlS1tPmUXeYaDSlF4FuvYqcLbq/49ZvbKGKvDpl4gItl3KaUCzHV+WPKylhf4VBO81zOksiYi9AqIXlbZOHgAd0WdEteDX40XHM4mC/Kelc2XpeXcmUViZgk5oGnOvo3P7V2yz+X22Z/wBcBYpXxM1b5eRhM7atDSyIw78FCB4936u2jik0KKd6h2pzasqQ0s42CgCrEtDbkC4buYQveL/q24o+o/eIB3Tvg0FQtiy2TZOEQfmvsCy+R9/r/oKA1Gi/v+cW9tcs/MDUpXCCnBpKAJLw==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(366004)(7696005)(8936002)(5660300002)(55016002)(66446008)(52536014)(71200400001)(44832011)(6506007)(186003)(26005)(9686003)(64756008)(6916009)(316002)(4326008)(8676002)(33656002)(122000001)(38070700005)(508600001)(2906002)(66556008)(86362001)(66476007)(558084003)(76116006)(38100700002)(66946007);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?W6wVg4YgtMEOma6tMrMkiuhPZ/CdEybU+o+BZSb6QtFsi0qAikX5zRbfwMDx?=
 =?us-ascii?Q?J2vW6u2oBqU3JKHlaVtaHMahmvWHR1OaFhosO1bMvgUq2ee332JoIpJbJJEf?=
 =?us-ascii?Q?YdYrQpCSr3eQOtFEJ/myD+O8FCXIYpOa7/wE/T67mQ2M0AILt4dQvngv5L2l?=
 =?us-ascii?Q?REYGQ1K2qz5qLjJMxgd4gLZ7UnoNvcy42+SvUq/jQK8A6Xh8CKSiatEUURtw?=
 =?us-ascii?Q?zSNaRGNndGgeZkoH/oEozGe9GctLfEtyDYmZoqNdQK6R6F1SyIJFWwxh9geK?=
 =?us-ascii?Q?rHfzPvVzfPP0tV9ambUcvFD1b6xQ0dwyxrKLnWthd+zBAqaASLYVgJdtdeEQ?=
 =?us-ascii?Q?6zroM6BO+yLLOqWPHiGgBhBXVDeHtUWoCegwniNMm4UGPnXEEoEbdciOEHMI?=
 =?us-ascii?Q?sP8cg1ixtXind0IjbUFbyuucIReGmAQZjzC2Q40B42RhsGdToyxrTVGDMU5M?=
 =?us-ascii?Q?yDF+SfcUSjON2PFCohrpjB2FWVfPf4ijBBtEqLb3hhID7T/b0eFhFA5GP0nx?=
 =?us-ascii?Q?wjv2L5ncaeeo9o6hB5VoJAsZ3IOQgF+3MpQQAG4NbdA86/1vV4N4UtpyT81C?=
 =?us-ascii?Q?RjUJ46wXKYVF/6mJNbvUHArLi6DJAyZl7nogooBLbsb+Gl130821LVIHksK2?=
 =?us-ascii?Q?2CIsTXPNR1LCn0hl7pWPUJGPSYCiSa19uH6C7nOuI0JEj7vTFc8ISTOUA84f?=
 =?us-ascii?Q?Yi252/xcahrCqJ5wrgT+e9ttbqaAx2UEWl5nMODdjHLOrB92Aphe9nrrZjMp?=
 =?us-ascii?Q?Vq/KDkeCBzPYxiyIfc7DY6joXWg5AFNYRGk7Ee+epoXYC9VPf5Jo7KrYPLoj?=
 =?us-ascii?Q?ieTFMMCjZYjomjARdB/8KoJ0MCUPq4dg/eO6kTkAPUBJ9xRjv+anW4xD+fzC?=
 =?us-ascii?Q?RgdDLlU3wAMlVNfW6BEMMrlX7JC/nEio8nht0Y7eBFtxBzYXbH0wLgrqn400?=
 =?us-ascii?Q?1XtgcjOWkim3OSuoDOqE99x+Pd0XPhNdaXqOaFnLs0ttXBFANluhOLINHO0i?=
 =?us-ascii?Q?//+UPnoxKZIv/TjJ81/fHoQ5EGnC2YlMHd1dfqCGFoIGht7BmORyPMp41iO4?=
 =?us-ascii?Q?kUXxrq2xE1MZLRXfq1SA8+Ow6PbMvwI3JeKL4y+WnGdpNIolNMTq4Q6JkcHZ?=
 =?us-ascii?Q?s1hujPNXfq68TrcRamCJvLkfYT6goou00q4j3gwuS7kYPVrXQPB2UvffTTRk?=
 =?us-ascii?Q?LBSPybqNaa1ASIfs94JlNSZ+jJvCiLtzS+8Lymjqp4lTiFBi+0Olp12wonsQ?=
 =?us-ascii?Q?WmcM95thmSgT6aw2Zl5mcjlUNUrP1YslruCxdfwbh0FrqBc3LaX70jHm6WRN?=
 =?us-ascii?Q?vV8qeQK0Xj5FZXNBw2BeQky/?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 1adc8b24-9e53-410f-53a1-08d994b58808
X-MS-Exchange-CrossTenant-originalarrivaltime: 21 Oct 2021 17:09:24.0490 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: drew.adams@HIDDEN
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SJ0PR10MB5646
X-Proofpoint-Virus-Version: vendor=nai engine=6300 definitions=10144
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
 adultscore=0 malwarescore=0
 phishscore=0 mlxlogscore=775 bulkscore=0 suspectscore=0 mlxscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2109230001
 definitions=main-2110210085
X-Proofpoint-ORIG-GUID: MJ4ktJzweMlph8H2pCRxn7g4g9ENCcD6
X-Proofpoint-GUID: MJ4ktJzweMlph8H2pCRxn7g4g9ENCcD6
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51281
Cc: "51281 <at> debbugs.gnu.org" <51281 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> > Yes, I ask that this important feature be kept,
> > not lost.  Users should continue to be able to
> > add/change a prefix arg (of any kind) at any
> > time during repetition.
>=20
> Ok, then I'll continue fixing this feature.

Thank you.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51281; Package emacs. Full text available.

Message received at 51281 <at> debbugs.gnu.org:


Received: (at 51281) by debbugs.gnu.org; 21 Oct 2021 16:53:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 12:53:06 2021
Received: from localhost ([127.0.0.1]:58430 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdbJS-0006MD-JH
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 12:53:06 -0400
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:51785)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mdbJM-0006L1-Kw
 for 51281 <at> debbugs.gnu.org; Thu, 21 Oct 2021 12:53:03 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id 89B53E0008;
 Thu, 21 Oct 2021 16:52:53 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: [External] : bug#51281: 28.0.60; repeat-mode issues
Organization: LINKOV.NET
References: <87tuhdijk3.fsf@HIDDEN> <87y26ny56p.fsf@HIDDEN>
 <SJ0PR10MB54883DA1B5649D168580A4D6F3BE9@HIDDEN>
Date: Thu, 21 Oct 2021 19:51:53 +0300
In-Reply-To: <SJ0PR10MB54883DA1B5649D168580A4D6F3BE9@HIDDEN>
 (Drew Adams's message of "Wed, 20 Oct 2021 18:59:35 +0000")
Message-ID: <87ee8ez9m6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51281
Cc: "51281 <at> debbugs.gnu.org" <51281 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Yes, I ask that this important feature be kept,
> not lost.  Users should continue to be able to
> add/change a prefix arg (of any kind) at any
> time during repetition.

Ok, then I'll continue fixing this feature.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51281; Package emacs. Full text available.

Message received at 51281 <at> debbugs.gnu.org:


Received: (at 51281) by debbugs.gnu.org; 20 Oct 2021 19:00:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 20 15:00:34 2021
Received: from localhost ([127.0.0.1]:55478 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdGpF-0006V8-VX
	for submit <at> debbugs.gnu.org; Wed, 20 Oct 2021 15:00:34 -0400
Received: from mx0a-00069f02.pphosted.com ([205.220.165.32]:18396)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1mdGpD-0006V0-Rn
 for 51281 <at> debbugs.gnu.org; Wed, 20 Oct 2021 15:00:32 -0400
Received: from pps.filterd (m0246629.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.16.1.2/8.16.1.2) with SMTP id 19KIpmdw029728; 
 Wed, 20 Oct 2021 19:00:30 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : subject :
 date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=eDuD0DtPkEAKeyf/6Ms4rS7Fb+4lxgtwxdi2vJiM7oM=;
 b=ai8bONc6gPXZ3WlkiR+4OSdpPaJ7D/v/Fn7xRjKuBQEB4LliLm+jFMAJI1s7gWXzuFfL
 STtQkwLvuzponAvIv3fRkUfJdNb7696XLp/iS5BK3ZZxEAx33evt/NaYY+++WzeY8JmX
 VZstD1ykr5Vpw501sx7VphD/pOoXAU4uuLhRhmkSLROUGJ2frze7inhuZePEz6y4QGbE
 bPCbDXT2FZr6+cNWyJep4H+i1jwjRK2w8O9jwNKRbTSTBtIhJnhdOKlmY3XYseMX1hIM
 /G6LJDSEXB0083swFNRlKeJBhj5JQDxmxFZGnOYKxFtOIgKRbJ0YwyVXfPJrPBjWWsLM JQ== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by mx0b-00069f02.pphosted.com with ESMTP id 3btkwj1yqq-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 20 Oct 2021 19:00:25 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.1.2/8.16.1.2) with SMTP id 19KIorIF120950;
 Wed, 20 Oct 2021 18:59:37 GMT
Received: from nam10-dm6-obe.outbound.protection.outlook.com
 (mail-dm6nam10lp2107.outbound.protection.outlook.com [104.47.58.107])
 by aserp3030.oracle.com with ESMTP id 3bqmsgx1pt-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 20 Oct 2021 18:59:37 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=TQPomQC7hY2LpCkFu/MYlAYHGZwQG43UKQ+MM/r0YzzIHqsqahsj+BhWh0kbk2O9GPBasA4VGCZRZ7gspS8fE3XLsI/u75+DzMWlnCpWoNZpwJxCLmYTFg1XL1ZkomwPIZTWdfhst/YdZsgQVY7yVn1SM1NLVqbUSuOC4At9HPZqMsT2Xru9+wI/Bg1CjxgixtShhh1TO2l6WL8HM7zYIaG5f0OJgTo9XdnD52aYu+XHC8U+gn35IYx8xSrsqKRgoS3OpT+vRY2/tEmwl5SdSI0U2hQuO0zyhYrnRACZs7bCik7KQomVo2uguydeU9i8o1SO4GSwcV4KIrDnPjzLYw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=eDuD0DtPkEAKeyf/6Ms4rS7Fb+4lxgtwxdi2vJiM7oM=;
 b=E+lrmqSS13MkUPb4uUpCPcxxeY/3XnuLEmOkKk8StOHTdGiGuzvLqQ8uM2gEnN6RolR2FUaQwZREPcxOBhg+qWq6ds2dd6j//vUHOJwqqV1AT1A9AXxaQpz0U5NuFdB4HPp9GF+jNRouDnz5G4lZWukH++aEDOUaluf+r2lK6eUay5z6wJGHZa0JqmdSOyNzOWqu5Sw5avnGUV56eO3hR+E1T9m7V4KIRsU9+5Lilh+M55wfIDw2VSgmD/ffYjTdtLjQPzfhVZEK8FNhLu5+lDwnuNpXWh8rKvRIvpNilkZ8nV61lwqnign9UjFcAEd1GV2jMISAOtRcsKCyl7cA7g==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=eDuD0DtPkEAKeyf/6Ms4rS7Fb+4lxgtwxdi2vJiM7oM=;
 b=albmX7KUUJ0PkpxKPVW79A9awJE4MCZA5M8uLpDHl6x2VobotvgKkOs9DXKEwDeGeYDoZYjQcqgMkDMTpIPtF5c8pALD75/GtqkKAE4lizPjGtA/YsszKG+w/wRIrP5BPY4sDmd7opDMaJG1t+FvhvqW+aOHimhV8zvZ9UET6fE=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by BYAPR10MB4085.namprd10.prod.outlook.com (2603:10b6:a03:11f::13)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4608.17; Wed, 20 Oct
 2021 18:59:35 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::c0bc:7c3a:292f:8a82]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::c0bc:7c3a:292f:8a82%9]) with mapi id 15.20.4608.018; Wed, 20 Oct 2021
 18:59:35 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Juri Linkov <juri@HIDDEN>, "51281 <at> debbugs.gnu.org"
 <51281 <at> debbugs.gnu.org>
Subject: RE: [External] : bug#51281: 28.0.60; repeat-mode issues
Thread-Topic: [External] : bug#51281: 28.0.60; repeat-mode issues
Thread-Index: AQHXxdwFPtQrtP9040eOOdG1eyAuwKvcOvFA
Date: Wed, 20 Oct 2021 18:59:35 +0000
Message-ID: <SJ0PR10MB54883DA1B5649D168580A4D6F3BE9@HIDDEN>
References: <87tuhdijk3.fsf@HIDDEN> <87y26ny56p.fsf@HIDDEN>
In-Reply-To: <87y26ny56p.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: linkov.net; dkim=none (message not signed)
 header.d=none;linkov.net; dmarc=none action=none header.from=oracle.com;
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 83ffb35b-b99b-46ea-6d66-08d993fbc285
x-ms-traffictypediagnostic: BYAPR10MB4085:
x-microsoft-antispam-prvs: <BYAPR10MB4085BD0A9973FA5840D862C9F3BE9@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:9508;
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: 0PUwT0/DeHqSYOIfBo4BXf9SypkT/F/3AfkozvwwcmCDlTI3YP+0ZbI7p/4ffi8J7E3RtXscHuzKXRVrWvBz++DQfsnSPCZbposPqffHG7Nv4BiY7A5/YSVTNuezovaFu8OsRLoptrEhk4KDD+AWP/tfvZMWBC148XrE3Y4/Fje0myzZ1qTsRqjzL/jupL2D6jV0UV94vcXHzNYhHhCJjpY0o77GsmZ5tA0SBUbktY/Ey1VCcNQjVZfYQGT+xgDzw4WGWJ/H/VemncX2qs+K78LeayEKP8AFw7CgLx1gRsEzw/6D6CQyl19MvhRplouYzaPAJvuNAg0yOkpzKJCxSCiBs3EqheSAV0pi2e2E5RvYUw9D05oAz7GYJM+fqgR/DKO9qpxwbeLQOTOq2o6ay3uVepwRQFFsb36Z4YIBgtUTcoFsL4Eh3GK8zll3WihCfhy7bWV0kjjwqcCvUz9hVIkiOYk0dXscrTtatzeFsErSksbtsRQASai+/Cr+t7hNcl5mMO3ULxIvfbu0U+sfd6hLnhYjOtctAvTWTFLh0rG0xFNWEQKKRUwIld/zgGr3Tvicim5njmXE2+1/xMexkL3FDaQXfkJNCjtjRyUInSNOYDiFvQXfBtv9dVL1+cffAUCONEtyv7n0zzbZpku8U+3p5XlQx1D7elAw36mD2GqglWW3mjghmpNjR4PFXgJM2APujhq12ZyB0NzwPntTRA==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(366004)(8936002)(316002)(33656002)(186003)(26005)(8676002)(122000001)(86362001)(71200400001)(508600001)(110136005)(4744005)(6506007)(9686003)(38070700005)(64756008)(55016002)(66476007)(66946007)(66446008)(66556008)(2906002)(44832011)(38100700002)(52536014)(7696005)(76116006)(5660300002);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?f1IWNcLv5qbO4DRLZzR+Gsj8WvZTjscnNioMrtDX/c/pUv190dQ33a8NK38Y?=
 =?us-ascii?Q?/2/lwkgXk9vIWjDS5/LrNABA1a6nAK3s6OFs/O/8DD9Qmj9DMqQtuDEMxlw7?=
 =?us-ascii?Q?s7jw9rCLxEVaoZcZIX70KsmFv9srRAsFDTevlnkqvZESnYn3fAHqR47fquuk?=
 =?us-ascii?Q?I/m70VtkCI1g+TaK0i4sJD0fh9U9PSY9EO/3slzeHC/ZBK6pf2+fv6zrkwK0?=
 =?us-ascii?Q?NQlbkFwJcduQEuFrnMCAgxkg8qncxaYTRrHIt2Y47gDjEMgT6NKEkKugoXpm?=
 =?us-ascii?Q?GDCPXVcxyaVHhftr4Biny9YnTsUMb9n79giVl6PLFX/Uw6cnWgj3Xjgqa2ML?=
 =?us-ascii?Q?lgta/vgicUv2gGjfpSx84Z9YMxWb//eRCaMVKXhkWIHs+Hz3D8jdxHN1M8KH?=
 =?us-ascii?Q?WixfUZCfEANAdvxnJ7xG/2HLstWcGHe+EpLVpZvhK9nU2CeT8YBlCEedGMS4?=
 =?us-ascii?Q?uaCQL1s7fQc5v9N6dA51CtkpR3i0Buv4ihDHg/bLnIjVRLF+EjHaejSPmovp?=
 =?us-ascii?Q?DpJHIFk8UaCOQvw98vQ6hgat4Xb5AQCdxPlgOFZvyVNU5XpYT1o1CO0AZOA+?=
 =?us-ascii?Q?5cNtiRevOc/MVLIcvL22a0t3ta6Q/vLQDyyyP2zvXmCXxL/JVQMdMtbha9Yz?=
 =?us-ascii?Q?B4VfHzpeULA1tq7yw3mLOb7yACEj+EHI3tVih6fk/WLCyTuoDHPVjJLmPl0l?=
 =?us-ascii?Q?pxe1qyDRK0WXZC4G0FpPK8eKK+yggocguGfygUyQkZUMvbHAUp72LAPwPtNj?=
 =?us-ascii?Q?s2gb1w4k4P94OqYBqASZ2ZiHip/dgi3Z2qAQLx6boniay0KGnGHrms/JUes+?=
 =?us-ascii?Q?GkSSTG97z77NdCNIM/3YIM2lbsfb/5eEMlpNF2c2H8ReRls2oAovziPAlJ7E?=
 =?us-ascii?Q?GcAoo/DULyJ5fLRa5/0UjIxR/GX3X4kJvHKCTqyDrNfvLV3R5z5qu2PQgxC+?=
 =?us-ascii?Q?Zv2wTp/dbmTETlB3AN624zrg+jClkDVZ9gb6/v5G8VJ9iY8roNvulUZh7AnI?=
 =?us-ascii?Q?a5SJAN8LosBztlaFTZbSGuj9An+61UXQ0/ehH8mFTK76hOgm4Xv/iDvASs43?=
 =?us-ascii?Q?lGH7Gn/3i9+fRWknK4uC6IpZV9JY1ZS+uByyGELveI/XXPajC734gmN3MezO?=
 =?us-ascii?Q?nqaRAItJZ0/QmIwrZ5usyBOvlILZiy7VDLwYvmwFDOONGJJopaE6aeQL4vJR?=
 =?us-ascii?Q?IQtxAYlVJatey/TmlAwJoJ9hQ1zKjYIERzEPk/HWj7scAfOOwX7isWwWy1G5?=
 =?us-ascii?Q?bmWTVstOCfTq0G7BxPdhCwGasxOGlgAvApVpeWtFQIGIvxBvY9w5uIqfaMKw?=
 =?us-ascii?Q?GeHlZ7ICzs/frSL5hT5w7LqT?=
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 83ffb35b-b99b-46ea-6d66-08d993fbc285
X-MS-Exchange-CrossTenant-originalarrivaltime: 20 Oct 2021 18:59:35.8427 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: drew.adams@HIDDEN
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BYAPR10MB4085
X-Proofpoint-Virus-Version: vendor=nai engine=6300 definitions=10143
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
 adultscore=0 malwarescore=0
 phishscore=0 mlxlogscore=900 bulkscore=0 suspectscore=0 mlxscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2109230001
 definitions=main-2110200107
X-Proofpoint-ORIG-GUID: E0C1PhsJ75jCI_bdvZHCk7nUCE0720pK
X-Proofpoint-GUID: E0C1PhsJ75jCI_bdvZHCk7nUCE0720pK
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51281
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> > Currently there is a bug where the prefix arg changed for the
> > repeatable commands, is applied to the next non-repeatable
> > command.  For example: C-- C-x o o C-n  or  C-x o C-- o C-n
>=20
> Actually, this too confusing feature

It's not confusing at all.

> that allows changing prefix args during the repeating
> sequence increases code complexity enormously.

Too bad.  In that case, feel free to revert the changes
you've made that impose such complexity.  The code just
worked - has worked for a long time.

> this feature will be removed (unless someone will ask
> to leave it)

"unless someone..."

Yes, I ask that this important feature be kept,
not lost.  Users should continue to be able to
add/change a prefix arg (of any kind) at any
time during repetition.

Starting the command over (with a different
prefix arg) is not _at all_ the same thing as
continuing the command invocation.

(Think command state, and Emacs state in general,
in addition to user interaction.)





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51281; Package emacs. Full text available.

Message received at 51281 <at> debbugs.gnu.org:


Received: (at 51281) by debbugs.gnu.org; 20 Oct 2021 17:41:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 20 13:41:25 2021
Received: from localhost ([127.0.0.1]:55375 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdFae-0002Ia-I0
	for submit <at> debbugs.gnu.org; Wed, 20 Oct 2021 13:41:24 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:32945)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mdFab-0002II-Kc
 for 51281 <at> debbugs.gnu.org; Wed, 20 Oct 2021 13:41:22 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id B8BBE6000C
 for <51281 <at> debbugs.gnu.org>; Wed, 20 Oct 2021 17:41:14 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: 51281 <at> debbugs.gnu.org
Subject: Re: bug#51281: 28.0.60; repeat-mode issues
Organization: LINKOV.NET
References: <87tuhdijk3.fsf@HIDDEN>
Date: Wed, 20 Oct 2021 20:30:38 +0300
In-Reply-To: <87tuhdijk3.fsf@HIDDEN> (Juri Linkov's message of "Tue, 
 19 Oct 2021 10:12:20 +0300")
Message-ID: <87y26ny56p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51281
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

> Currently there is a bug where the prefix arg changed for the repeatable
> commands, is applied to the next non-repeatable command.  For example:
>
>   C-- C-x o o C-n
> or
>   C-x o C-- o C-n

Actually, this too confusing feature that allows changing prefix args
during the repeating sequence increases code complexity enormously.
For posterity I'll leave here the patch that completely supports it.
But this feature will be removed (unless someone will ask to leave it):

  C-x } }  C-1 C-2 } }  C-3 C-4 } }

Only this will remain:

  C-x } }  C-1 C-2 C-x } }  C-3 C-4 C-x } }


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=repeat-prefix-arg.patch

diff --git a/lisp/repeat.el b/lisp/repeat.el
index ee9e14b515..47b080bc6c 100644
--- a/lisp/repeat.el
+++ b/lisp/repeat.el
@@ -390,7 +390,10 @@ repeat-mode
 See `describe-repeat-maps' for a list of all repeatable command."
   :global t :group 'convenience
   (if (not repeat-mode)
-      (remove-hook 'post-command-hook 'repeat-post-hook)
+      (progn
+        (remove-hook 'pre-command-hook 'repeat-pre-hook)
+        (remove-hook 'post-command-hook 'repeat-post-hook))
+    (add-hook 'pre-command-hook 'repeat-pre-hook)
     (add-hook 'post-command-hook 'repeat-post-hook)
     (let* ((keymaps nil)
            (commands (all-completions
@@ -402,51 +405,108 @@ repeat-mode
                (length commands)
                (length (delete-dups keymaps))))))
 
+(defun repeat-map ()
+  "Return a transient map for keys repeatable after the current command."
+  (let ((rep-map (or repeat-map
+                     (and (symbolp real-this-command)
+                          (get real-this-command 'repeat-map)))))
+    (when rep-map
+      (when (and (symbolp rep-map) (boundp rep-map))
+        (setq rep-map (symbol-value rep-map)))
+      rep-map)))
+
+(defvar repeat-last-prefix-command nil)
+
+(defun repeat-check-map (map)
+  "Decides whether MAP can be used for the next command.
+Can contain more conditions."
+  (and map
+       ;; Avoid using repeatable keys when a minibuffer prompt pops up.
+       ;; FIXME: Instead of disallowing repeatable keys in the minibuffer,
+       ;; it would be better to detect when `minibuffer-depth' changes
+       ;; during a repeatable sequence, but this is impossible to do
+       ;; when a repeatable command that activates own minibuffer
+       ;; was called from the minibuffer, e.g. `M-x repeatable-command RET'
+       ;; where in `exit-minibuffer' (bound to RET) minibuffer-depth is 1,
+       ;; and if repeatable-command uses the minibuffer, it's also 1.
+       (zerop (minibuffer-depth))
+       (or
+        ;; Allow prefix commands change `prefix-arg' for next repeatable
+        ;; commands, i.e. don't disable transient map on such sequence
+        ;; `C-x } C-1 C-2 }' that changes window enlargement step to 12.
+        (and repeat-keep-prefix
+             (or (memq this-command
+                       '(universal-argument universal-argument-more
+                         digit-argument negative-argument))
+                 prefix-arg))
+        ;; Exit when the last char is not among repeatable keys,
+        ;; so e.g. `C-x u u' repeats undo, whereas `C-/ u' doesn't.
+        (lookup-key map (vector last-nonmenu-event)))))
+
+(defun repeat-pre-hook ()
+  "Function run before commands to handle repeatable keys."
+  ;; Reset prefix-arg before the next non-repeatable command,
+  ;; e.g. `C-- C-x } } C-n' or `C-x } C-- } C-n', so `C-n'
+  ;; should not use `prefix-arg' to go in opposite direction.
+  (when (and repeat-mode repeat-keep-prefix prefix-arg repeat-in-progress)
+    (if (not (memq this-command
+                   '(universal-argument universal-argument-more
+                     digit-argument negative-argument)))
+        (let ((map (repeat-map)))
+          (if (repeat-check-map map)
+              ;; Optimize to use less logic in the function `repeat-map'.
+              ;; When called again from `repeat-post-hook' it will use
+              ;; the variable `repeat-map'.
+              (setq repeat-map map)
+            ;; When `repeat-post-hook' will exit the repeatable sequence,
+            ;; this means the current command is not repeatable,
+            ;; so reset `prefix-arg' enabled for repeatable commands only.
+            (setq prefix-arg nil)))
+      (unless (memq repeat-last-prefix-command
+                    '(universal-argument universal-argument-more
+                      digit-argument negative-argument))
+        (setq prefix-arg nil)))
+    (setq repeat-last-prefix-command this-command)))
+
 (defun repeat-post-hook ()
   "Function run after commands to set transient keymap for repeatable keys."
   (let ((was-in-progress repeat-in-progress))
     (setq repeat-in-progress nil)
-    (when repeat-mode
-      (let ((rep-map (or repeat-map
-                         (and (symbolp real-this-command)
-                              (get real-this-command 'repeat-map)))))
-        (when rep-map
-          (when (boundp rep-map)
-            (setq rep-map (symbol-value rep-map)))
-          (let ((map (copy-keymap rep-map)))
 
-            ;; Exit when the last char is not among repeatable keys,
-            ;; so e.g. `C-x u u' repeats undo, whereas `C-/ u' doesn't.
-            (when (and (zerop (minibuffer-depth)) ; avoid remapping in prompts
-                       (or (lookup-key map (this-command-keys-vector))
-                           prefix-arg))
+    (let ((map (when repeat-mode (repeat-map))))
+      (when (repeat-check-map map)
 
-              ;; Messaging
-              (unless prefix-arg
-                (funcall repeat-echo-function map))
+        ;; Messaging
+        (unless prefix-arg ;; Don't overwrite prefix arg echo
+          (funcall repeat-echo-function map))
 
-              ;; Adding an exit key
-              (when repeat-exit-key
-                (define-key map repeat-exit-key 'ignore))
+        ;; Adding an exit key
+        (when repeat-exit-key
+          (setq map (copy-keymap map))
+          (define-key map repeat-exit-key 'ignore))
 
-              (when (and repeat-keep-prefix (not prefix-arg))
-                (setq prefix-arg current-prefix-arg))
+        ;; When the current command is not one of commands
+        ;; that set `prefix-arg' then keep the current prefix arg
+        ;; for the next command via `prefix-arg'.
+        (when (and repeat-keep-prefix
+                   (not prefix-arg))
+          (setq prefix-arg current-prefix-arg))
 
-              (setq repeat-in-progress t)
-              (let ((exitfun (set-transient-map map)))
+        (setq repeat-in-progress t)
+        (let ((exitfun (set-transient-map map)))
 
-                (when repeat-exit-timer
-                  (cancel-timer repeat-exit-timer)
-                  (setq repeat-exit-timer nil))
+          (when repeat-exit-timer
+            (cancel-timer repeat-exit-timer)
+            (setq repeat-exit-timer nil))
 
-                (when repeat-exit-timeout
-                  (setq repeat-exit-timer
-                        (run-with-idle-timer
-                         repeat-exit-timeout nil
-                         (lambda ()
-                           (setq repeat-in-progress nil)
-                           (funcall exitfun)
-                           (funcall repeat-echo-function nil)))))))))))
+          (when repeat-exit-timeout
+            (setq repeat-exit-timer
+                  (run-with-idle-timer
+                   repeat-exit-timeout nil
+                   (lambda ()
+                     (setq repeat-in-progress nil)
+                     (funcall exitfun)
+                     (funcall repeat-echo-function nil))))))))
 
     (setq repeat-map nil)
     (when (and was-in-progress (not repeat-in-progress))

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51281; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Oct 2021 07:13:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 19 03:13:47 2021
Received: from localhost ([127.0.0.1]:49244 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mcjJj-0000Vv-Fb
	for submit <at> debbugs.gnu.org; Tue, 19 Oct 2021 03:13:47 -0400
Received: from lists.gnu.org ([209.51.188.17]:54376)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mcjJg-0000Vn-IQ
 for submit <at> debbugs.gnu.org; Tue, 19 Oct 2021 03:13:46 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51794)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1mcjJe-0000Wp-Jy
 for bug-gnu-emacs@HIDDEN; Tue, 19 Oct 2021 03:13:44 -0400
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:36507)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1mcjJX-0002xz-IQ
 for bug-gnu-emacs@HIDDEN; Tue, 19 Oct 2021 03:13:42 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay6-d.mail.gandi.net (Postfix) with ESMTPSA id 1E7B2C0013
 for <bug-gnu-emacs@HIDDEN>; Tue, 19 Oct 2021 07:13:32 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.60; repeat-mode issues
Organization: LINKOV.NET
Date: Tue, 19 Oct 2021 10:12:20 +0300
Message-ID: <87tuhdijk3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=217.70.183.198; envelope-from=juri@HIDDEN;
 helo=relay6-d.mail.gandi.net
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_MSPIKE_H2=-0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

--=-=-=
Content-Type: text/plain

Tags: patch

Currently there is a bug where the prefix arg changed for the repeatable
commands, is applied to the next non-repeatable command.  For example:

  C-- C-x o o C-n
or
  C-x o C-- o C-n

`C-n' moves up, not down.  This patch fixes this bug:


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=repeat-mode-fixes.patch

diff --git a/lisp/repeat.el b/lisp/repeat.el
index ee9e14b515..f4526c20f4 100644
--- a/lisp/repeat.el
+++ b/lisp/repeat.el
@@ -390,7 +390,10 @@ repeat-mode
 See `describe-repeat-maps' for a list of all repeatable command."
   :global t :group 'convenience
   (if (not repeat-mode)
-      (remove-hook 'post-command-hook 'repeat-post-hook)
+      (progn
+        (remove-hook 'pre-command-hook 'repeat-pre-hook)
+        (remove-hook 'post-command-hook 'repeat-post-hook))
+    (add-hook 'pre-command-hook 'repeat-pre-hook)
     (add-hook 'post-command-hook 'repeat-post-hook)
     (let* ((keymaps nil)
            (commands (all-completions
@@ -402,27 +405,60 @@ repeat-mode
                (length commands)
                (length (delete-dups keymaps))))))
 
-(defun repeat-post-hook ()
-  "Function run after commands to set transient keymap for repeatable keys."
-  (let ((was-in-progress repeat-in-progress))
-    (setq repeat-in-progress nil)
+(defun repeat-map ()
+  "Return a map for keys repeatable after the current command."
   (when repeat-mode
     (let ((rep-map (or repeat-map
                        (and (symbolp real-this-command)
                             (get real-this-command 'repeat-map)))))
       (when rep-map
-          (when (boundp rep-map)
+        (when (and (symbolp rep-map) (boundp rep-map))
           (setq rep-map (symbol-value rep-map)))
-          (let ((map (copy-keymap rep-map)))
 
+        (if repeat-exit-key
+            ;; `repeat-exit-key' modifies the map by adding keys
+            (copy-keymap rep-map)
+          rep-map)))))
+
+(defun repeat-map-valid (map)
+  "Check if MAP can be used for the next command.
+Can contain more conditions."
+  (and map
+       ;; Avoid using repeatable keys when minibuffer prompt pops up
+       (zerop (minibuffer-depth))
        ;; Exit when the last char is not among repeatable keys,
        ;; so e.g. `C-x u u' repeats undo, whereas `C-/ u' doesn't.
-            (when (and (zerop (minibuffer-depth)) ; avoid remapping in prompts
-                       (or (lookup-key map (this-command-keys-vector))
-                           prefix-arg))
+       (or (lookup-key map (vector last-nonmenu-event))
+           ;; `prefix-arg' can affect next repeatable commands
+           ;; (and repeat-keep-prefix prefix-arg)
+           )))
+
+(defun repeat-pre-hook ()
+  "Function run before commands to handle repeatable keys."
+  ;; Reset prefix-arg before the next non-repeatable command,
+  ;; e.g. `C-- C-x o o C-n' or `C-x o C-- o C-n', so `C-n'
+  ;; should not use `prefix-arg' to go in opposite direction.
+  (when (and repeat-keep-prefix prefix-arg repeat-in-progress)
+    (let ((map (repeat-map)))
+      (if map
+          ;; Optimize to use less logic in `repeat-map'
+          ;; when called again from `repeat-post-hook'
+          (setq repeat-map map)
+        ;; When `repeat-post-hook' will exit the repeatable sequence,
+        ;; this means the current command is not repeatable,
+        ;; so reset `prefix-arg' enabled for repeatable commands only.
+        (setq prefix-arg nil)))))
+
+(defun repeat-post-hook ()
+  "Function run after commands to set transient keymap for repeatable keys."
+  (let ((was-in-progress repeat-in-progress))
+    (setq repeat-in-progress nil)
+
+    (let ((map (repeat-map)))
+      (when (repeat-map-valid map)
 
         ;; Messaging
-              (unless prefix-arg
+        (unless prefix-arg ;; Don't overwrite prefix arg echo
           (funcall repeat-echo-function map))
 
         ;; Adding an exit key
@@ -446,7 +482,7 @@ repeat-post-hook
                    (lambda ()
                      (setq repeat-in-progress nil)
                      (funcall exitfun)
-                           (funcall repeat-echo-function nil)))))))))))
+                     (funcall repeat-echo-function nil))))))))
 
     (setq repeat-map nil)
     (when (and was-in-progress (not repeat-in-progress))

--=-=-=--




Acknowledgement sent to Juri Linkov <juri@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#51281; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 1 Dec 2021 18:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.